<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class PermissionController extends Controller {
    public function getPermissionsFromModule() { // /api/rpc/permission/getpermissionsfrommodule
	    return DB::table('usr_perm_module')->select('*')->get();
    }

    public function getPermissionFromModule($id) { // /api/rpc/permission/getpermissionsfrommodule/id
	    return DB::table('usr_perm_module')->select('*')->where('id', $id)->get();
    }

    public function getStorePermissions() { // /api/rpc/permission/getstorepermissions
	    return DB::table('str_permissions')->select('*')->get();
    }

    public function getStorePermissionGroup($id) { // /api/rpc/permission/getstorepermissiongroup/id
	    return DB::table('str_permissions')->select('*')->where('id', $id)->get();
    }

    public function getStorePermissionUser($id) { // /api/rpc/permission/getstorepermissionuser/id
	    return DB::table('str_user_permissions')->select('*')->where('id', $id)->get();
    }

    public function getUserPermissions() { // /api/rpc/permission/getuserpermissions
	    return DB::table('usr_permissions')->select('*')->get();
    }

    public function getUserPermissionGroup($id) { // /api/rpc/permission/getuserpermissiongroup/id
	    return DB::table('usr_permissions')->select('*')->where('id', $id)->get();
    }

    public function getUserPermissionUser($id) { // /api/rpc/permission/getuserpermissionuser/id
	    return DB::table('usr_user_permissions')->select('*')->where('id', $id)->get();
    }
}
