<?php

/**
 * Created by Reliese Model.
 * Date: Wed, 24 Jan 2018 17:18:07 +0900.
 */

namespace App\Models;

use Reliese\Database\Eloquent\Model as Eloquent;

/**
 * Class StrUserPermission
 * 
 * @property int $id
 * @property int $user_id
 * @property int $canview
 * @property int $upload
 * @property int $approve
 * @property int $fail
 * @property int $delfile
 * @property int $delscreen
 * @property int $editfile
 * @property int $allowfull
 * @property int $canwarn
 *
 * @package App\Models
 */
class StrUserPermission extends Eloquent
{
	public $timestamps = false;

	protected $casts = [
		'user_id' => 'int',
		'canview' => 'int',
		'upload' => 'int',
		'approve' => 'int',
		'fail' => 'int',
		'delfile' => 'int',
		'delscreen' => 'int',
		'editfile' => 'int',
		'allowfull' => 'int',
		'canwarn' => 'int'
	];

	protected $fillable = [
		'user_id',
		'canview',
		'upload',
		'approve',
		'fail',
		'delfile',
		'delscreen',
		'editfile',
		'allowfull',
		'canwarn'
	];
}
