
/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

window.Vue = require('vue');

/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

// Category
// Vue.component('category-view', require('./components/Category.vue'));
// Vue.component('category-add', require('./components/category/add.vue'));
// Vue.component('category-edit', require('./components/category/edit.vue'));
// Vue.component('category-delete', require('./components/category/delete.vue'));

// Game
// Vue.component('game-view', require('./components/Game.vue'));
// Vue.component('game-add', require('./components/game/add.vue'));
// Vue.component('game-edit', require('./components/game/edit.vue'));
// Vue.component('game-delete', require('./components/game/delete.vue'));

// File
// Vue.component('file-view', require('./components/File.vue'));
// Vue.component('file-add', require('./components/file/add.vue'));
// Vue.component('file-edit', require('./components/file/edit.vue'));
// Vue.component('file-delete', require('./components/file/delete.vue'));

// User profile
// Vue.component('user-view', require('./components/User.vue'));
// Vue.component('user-edit', require('./components/user/edit.vue'));

// Everything else
// Vue.component('homepage', require('./components/Home.vue'));
// Vue.component('upload', require('./components/Upload.vue'));
// Vue.component('queue', require('./components/Queue.vue'));
// Vue.component('search', require('./components/Search.vue'));

const app = new Vue({
    el: '#app'
});
