<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

class OwnerController extends Controller {
    public function getOwners() { // /api/rpc/owner/getowners
        // $getUsers = DB::table('for_users')->select('id', 'username', 'display_name', 'name_colour', 'group', 'gender', 'avatar');
        return DB::table('str_owners')
            ->select('*')
            // ->union($getUsers)
		    ->get();
    }

    public function getOwner($id) { // /api/rpc/owner/getowner/id
        return DB::table('str_owners')->select('*')->where('id', $id)->get();
    }

    public function getOwnerFile($file_id) { // /api/rpc/owner/getownerfile/id
        return DB::table('str_owners')->select('*')->where('file_id', $file_id)->get();
    }

    public function getOwnerUser($user_id) { // /api/rpc/owner/getowneruser/id
        return DB::table('str_owners')->select('*')->where('user_id', $user_id)->get();
    }
}
