<?php

/**
 * Created by Reliese Model.
 * Date: Wed, 24 Jan 2018 17:18:07 +0900.
 */

namespace App\Models;

use Reliese\Database\Eloquent\Model as Eloquent;

/**
 * Class StrCategory
 * 
 * @property int $id
 * @property string $name
 * @property int $parent_id
 * @property int $min_screenshots
 *
 * @package App\Models
 */
class StrCategory extends Eloquent
{
	protected $table = 'str_category';
	public $timestamps = false;

	protected $casts = [
		'parent_id' => 'int',
		'min_screenshots' => 'int'
	];

	protected $fillable = [
		'name',
		'parent_id',
		'min_screenshots'
	];
}
