<?php

/**
 * Created by Reliese Model.
 * Date: Wed, 24 Jan 2018 17:18:07 +0900.
 */

namespace App\Models;

use Reliese\Database\Eloquent\Model as Eloquent;

/**
 * Class UsrPermModule
 * 
 * @property int $id
 * @property string $name
 * @property int $root
 * @property int $banned
 * @property string $colour_m
 * @property string $colour_f
 * @property string $colour_u
 * @property string $badge
 * @property int $usr_perm_id
 * @property int $blg_perm_id
 * @property int $for_perm_id
 * @property int $sbx_perm_id
 * @property int $str_perm_id
 * @property int $doc_perm_id
 * @property int $odb_perm_id
 *
 * @package App\Models
 */
class UsrPermModule extends Eloquent
{
	protected $table = 'usr_perm_module';
	public $timestamps = false;

	protected $casts = [
		'root' => 'int',
		'banned' => 'int',
		'usr_perm_id' => 'int',
		'blg_perm_id' => 'int',
		'for_perm_id' => 'int',
		'sbx_perm_id' => 'int',
		'str_perm_id' => 'int',
		'doc_perm_id' => 'int',
		'odb_perm_id' => 'int'
	];

	protected $fillable = [
		'name',
		'root',
		'banned',
		'colour_m',
		'colour_f',
		'colour_u',
		'badge',
		'usr_perm_id',
		'blg_perm_id',
		'for_perm_id',
		'sbx_perm_id',
		'str_perm_id',
		'doc_perm_id',
		'odb_perm_id'
	];
}
