<?php

/**
 * Created by Reliese Model.
 * Date: Wed, 24 Jan 2018 17:18:07 +0900.
 */

namespace App\Models;

use Reliese\Database\Eloquent\Model as Eloquent;

/**
 * Class UsrUserPermission
 * 
 * @property int $id
 * @property int $user_id
 * @property int $viewprofile
 * @property int $editprofile
 * @property int $delprofile
 * @property int $postlayout
 * @property int $namecol
 * @property int $displayname
 * @property int $title
 * @property int $ipshow
 * @property int $emailshow
 * @property int $editother
 * @property int $ban
 * @property int $setgroup
 * @property int $setspecial
 * @property int $settrust
 * @property int $canpm
 * @property int $canwarn
 * @property int $canblock
 * @property int $ipban
 *
 * @package App\Models
 */
class UsrUserPermission extends Eloquent
{
	public $timestamps = false;

	protected $casts = [
		'user_id' => 'int',
		'viewprofile' => 'int',
		'editprofile' => 'int',
		'delprofile' => 'int',
		'postlayout' => 'int',
		'namecol' => 'int',
		'displayname' => 'int',
		'title' => 'int',
		'ipshow' => 'int',
		'emailshow' => 'int',
		'editother' => 'int',
		'ban' => 'int',
		'setgroup' => 'int',
		'setspecial' => 'int',
		'settrust' => 'int',
		'canpm' => 'int',
		'canwarn' => 'int',
		'canblock' => 'int',
		'ipban' => 'int'
	];

	protected $fillable = [
		'user_id',
		'viewprofile',
		'editprofile',
		'delprofile',
		'postlayout',
		'namecol',
		'displayname',
		'title',
		'ipshow',
		'emailshow',
		'editother',
		'ban',
		'setgroup',
		'setspecial',
		'settrust',
		'canpm',
		'canwarn',
		'canblock',
		'ipban'
	];
}
